Add folder to clique
POST
/clique/{clique_id}/folder/{folderId}
const url = 'https://api.colourbox.com/clique/1/folder/1';const options = { method: 'POST', headers: { Authorization: 'CBX-SIMPLE-TOKEN Token=<token>', 'Content-Type': 'application/json' }, body: '{"access":"READ","upload":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.colourbox.com/clique/1/folder/1 \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>' \ --header 'Content-Type: application/json' \ --data '{ "access": "READ", "upload": false }'Give the clique access to a folder, or change the access it has.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”clique_id
required
integer
Clique ID
folderId
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
access
required
string
upload
required
Whether the clique’s members can upload to the folder
boolean
Example
{ "access": "READ", "upload": false}Responses
Section titled “Responses”Folder added to the clique